Check the API and its storage
GET
/health/deep
const url = 'https://app.tunnelhq.com/api/v1/health/deep';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.tunnelhq.com/api/v1/health/deepChecks the database and the job queue too. No key needed.
Responses
Section titled “ Responses ”Both are reachable.
Media typeapplication/json
object
status
required
string
checks
required
object
database
object
ok
boolean
redis
The job queue.
object
ok
boolean
timestamp
required
ISO 8601, UTC.
string
Example
{ "status": "healthy", "checks": { "database": { "ok": true }, "redis": { "ok": true } }, "timestamp": "2026-09-25T14:33:14.762Z"}The database or the job queue isn’t reachable.
Media typeapplication/json
object
status
required
string
checks
required
object
database
object
ok
boolean
redis
The job queue.
object
ok
boolean
timestamp
required
ISO 8601, UTC.
string
Example
{ "status": "degraded", "checks": { "database": { "ok": true }, "redis": { "ok": false } }, "timestamp": "2026-09-25T14:33:14.762Z"}